---

# This task is to query the interface policy group

- name: Obtain Interface Policy Groups from NetBox
  uri:
    url: "{{ netbox_url }}/api/extras/custom-field-choice-sets/"
    method: GET
    return_content: yes
    body_format: json
    validate_certs: no
    headers:
      Authorization: "Token {{ netbox_token }}"
      Accept: "application/json"
  register: netbox_response
  
- set_fact:
    int_pol_grp: "{{ int_pol_grp | default([]) + (item | unique) }}"
  loop: "{{ netbox_response.json.results[1].extra_choices }}"  


